Extending Qt Creator Manual | ExtensionCommandContext

Extending Qt Creator Manual 4.11.0

# ExtensionCommandContext Class

Header: | #include <ExtensionCommandContext>

- List of all members, including inherited members

## Public Functions

| ExtensionCommandContext(CIDebugClient *Client)
| ~ExtensionCommandContext()
CIDebugAdvanced * | advanced()
CIDebugControl * | control()
CIDebugDataSpaces * | dataSpaces()
CIDebugRegisters * | registers()
CIDebugSymbols * | symbols()
CIDebugSystemObjects * | systemObjects()
int | threadId()

## Static Public Members

ExtensionCommandContext * | instance()

## Detailed Description

Context for extension commands to be instantiated on stack in a command handler. Provides the IDebug objects on demand.

## Member Function Documentation

### ExtensionCommandContext::ExtensionCommandContext(CIDebugClient *Client)

Default constructs an instance of ExtensionCommandContext.

### ExtensionCommandContext::~ExtensionCommandContext()

Destroys the instance of ExtensionCommandContext.

### CIDebugAdvanced *ExtensionCommandContext::advanced()

### CIDebugControl *ExtensionCommandContext::control()

### CIDebugDataSpaces *ExtensionCommandContext::dataSpaces()

### `[static]` ExtensionCommandContext *ExtensionCommandContext::instance()

### CIDebugRegisters *ExtensionCommandContext::registers()

### CIDebugSymbols *ExtensionCommandContext::symbols()

### CIDebugSystemObjects *ExtensionCommandContext::systemObjects()

### int ExtensionCommandContext::threadId()